<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="The Simplified Teaching and Research Application Platform (STRAP) project aims to provide common components for web-based research applications so that researchers are able to concentrate on developing their research software, lowering the barrier to deliver data and analysis portals while leveraging enterprise-grade computing and storage infrastructure, identity providers, database services, and other important supporting components.">
    <meta name="keywords" content="">
    <title>{% block title %}{% endblock %}</title>
    {% load static %}
    <!-- Jquery -->
    <script src="{% static '3rd-party/jquery/jquery-3.6.1.min.js' %}"></script>
    <!-- Bootstrap CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <!-- Overriding Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="{% static '3rd-party/bootstrap/override.css' %}">
    <!-- Boostrap JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
    <!-- Custom css for every pages -->
    <link rel="stylesheet" type="text/css" href="{% static 'style/base.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'style/components.css' %}">
    <!-- Font Awesome icons -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- Custom static files for each page -->
    {% block static %}{% endblock %}
    <style>
      .toast-container {
        z-index: 100;
      }
    </style>
  </head>
  <body class="pb-5">
    <!-- Strap info set as hidden inputs -->
    <input id="strap-domain" type="hidden" value="{{ strap_domain }}">
    <input id="csrf-token" type="hidden" value="{{ csrf_token }}">
    <input id="harbor-url" type="hidden" value="{{ harbor_url }}">

    <!-- About Modal -->
    <div class="modal fade" id="aboutModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h1 class="modal-title fs-5" id="exampleModalLabel">About {{project_title}}</h1>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            {{ about_content | safe }}
          </div>
          <div class="modal-footer">
            <span class="flex-grow-1">{{ project_version }}</span>
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    {% url 'default_strap' as default_strap_url %}
    {% if request.path != default_strap_url %}
      <!-- All modals to manage files -->
      {% include 'fileupload/manage_files.html' %}

      <nav class="navbar fixed-top navbar-expand-lg bg-dark">
        <div class="container-fluid">
          <a class="navbar-brand fw-semibold text-white" href="/">{{project_title}}</a>

            <!-- Logged in navbar -->
          {% if request.path != "/login/" and strapper_user %}
              <!-- Mobile User actions -->
            <div class="d-lg-none ms-auto me-3 dropdown text-white">
              <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                <img width="30" height="30" class="rounded-circle" src="{{ strapper_user.profile.get_image }}" alt="User profile picture">
              </a>
              <ul class="dropdown-menu dropdown-menu-end">
                <li><span class="dropdown-item pb-2 disabled text-dark">Hello <strong>{% if strapper_user.first_name %}{{ strapper_user.first_name }}{% else %}{{strapper_user.username}}{% endif %}</strong></span></li>
                <li><hr class="dropdown-divider"></li>
                {% if strapper_is_admin %}<li><a class="dropdown-item" href="/admin/">Admin panel</a></li>{% endif %}
                <li><a class="dropdown-item" href="{% url 'getting_started' %}">Strapper guide</a></li>
                <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
              </ul>
            </div>

            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav flex-lg-grow-1">

                  <!-- Apps -->
                <li class="nav-item dropdown text-white">
                  <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    Apps
                  </a>
                  <ul class="dropdown-menu">
                                <!-- Display apps that user owns -->
                    {% for application in owned_applications %}
                      <li><a class="dropdown-item" href="{% url 'get_app' identifier=application.identifier %}">{{ application.descriptive_name }} - Owner</a></li>
                    {% endfor %}

                                <!-- Display apps that user is an editor of -->
                    {% for application in editor_applications %}
                      <li><a class="dropdown-item" href="{% url 'get_app' identifier=application.identifier %}">{{ application.descriptive_name }} - Editor</a></li>
                    {% endfor %}

                                <!-- Display apps that user is a viewer of -->
                    {% for application in viewer_applications %}
                      <li><a class="dropdown-item" href="{% url 'get_app' identifier=application.identifier %}">{{ application.descriptive_name }} - Viewer</a></li>
                    {% endfor %}
                  </ul>
                </li>
                {% if application %}
                  <li class="nav-item d-flex flex-column justify-content-center">
                    <h5 class="my-auto ms-4 text-white">{{ application.descriptive_name }} - {{ user_role|capfirst }} <i class="fa-solid fa-circle-info ms-2 role-instructions-btn" data-bs-toggle="modal" data-bs-target="#roleInstructionsModal"></i></h5>
                  </li>
                {% endif %}

                        <!-- Notifications -->
                {% if strapper_user.is_staff %}
                  <div class="ms-lg-auto">
                    {% include 'dropdowns/notification_bell.html' %}
                  </div>
                {% endif %}

                        <!-- Help -->
                <li class="nav-item dropdown text-white me-3 {% if not strapper_user.is_staff %}ms-lg-auto{% endif %}">
                  <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    Help
                  </a>
                  <ul class="dropdown-menu dropdown-menu-end">
                    <li><a class="dropdown-item cursor-default" data-bs-toggle="modal" data-bs-target="#aboutModal">About</a></li>
                    <li><a class="dropdown-item" href="{% url 'help_using_strapper' %}">Using Strapper</a></li>
                    <li><a class="dropdown-item" href="{% url 'help_about_strap' %}">About STRAP</a></li>
                  </ul>
                </li>

                        <!-- User actions -->
                <li class="nav-item dropdown text-white d-none d-lg-block me-5 p-0 my-auto">
                  <a class="nav-link dropdown-toggle p-0" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    <img width="30" height="30" class="rounded-circle" src="{{ strapper_user.profile.get_image }}" alt="User profile picture">
                  </a>
                  <ul class="dropdown-menu dropdown-menu-end">
                    <li><span class="dropdown-item pb-2 disabled text-dark">Hello <strong>{% if strapper_user.first_name %}{{ strapper_user.first_name }}{% else %}{{strapper_user.username}}{% endif %}</strong></span></li>
                    <li><hr class="dropdown-divider"></li>
                    {% if strapper_is_admin %}<li><a class="dropdown-item" href="/admin/">Admin panel</a></li>{% endif %}
                    <li><a class="dropdown-item" href="{% url 'getting_started' %}">Strapper guide</a></li>
                    <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
                  </ul>
                </li>
              </ul>
            </div>
            <!-- Not logged in navbar -->
          {% else %}
              <!-- Mobile User actions -->
            <div class="d-lg-none ms-auto me-3">
              <a class="nav-link" href="{% url 'login' %}">Login</a>
            </div>

            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
              <ul class="navbar-nav flex-lg-grow-1">

                        <!-- About us -->
                <li class="nav-item dropdown text-white">
                  <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    About
                  </a>
                  <ul class="dropdown-menu">
                    <li><a class="dropdown-item" href="{% url 'help_about_strap' %}">STRAP</a></li>
                    <li><a class="dropdown-item" href="{% url 'help_using_strapper' %}">Using Strapper</a></li>
                    <li><a class="dropdown-item" href="{% url 'about_team' %}">ARC Soft and RCS</a></li>
                  </ul>
                </li>

                        <!-- User actions -->
                <li class="nav-item d-none d-lg-block ms-auto">
                  <a class="btn btn-outline-light" href="{% url 'login' %}">Login</a>
                </li>
              </ul>
            </div>

          {% endif %}
        </div>
      </nav>
    {% endif %}

    <!-- Message toast -->
    <div id="message-toast-content" class="d-none" data-message="{% if message %}{{ message }}{% endif %}" data-success="{% if success %}true{% else %}false{% endif %}"></div>
    <div class="toast-container position-fixed bottom-0 end-0 p-3 z-100">
      <div id="messageToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
        <div class="toast-header">
          <strong class="me-auto">Strapper</strong>
          <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
        </div>
        <div class="toast-body">
          Hello, world! This is a toast message.
        </div>
      </div>
    </div>

    <!-- Role instructions modal -->
    {% include 'modals/role_instructions.html' %}

    {% block content %}{% endblock %}
    {% block script %}{% endblock %}
    <script src="{% static 'js/components.js' %}" type="module"></script>

    <!-- Custom Javascript for custom CSS classes -->
    <link href="{% static 'fileupload/css/base.css' %}" rel='stylesheet' />
    <!-- JS for editable content components -->
    <script src="{% static 'editablecontent/js/editable-content.js' %}"></script>
    <link href="{% static 'editablecontent/css/base.css' %}" rel='stylesheet' />

  </body>
</html>
